ru.bitel.oss.systems.inventory.product.server.bean

## Class ProductSpecServiceLinkDao

- java.lang.Object
- - ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecServiceLinkDao

-     public class ProductSpecServiceLinkDao
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductSpecServiceLinkDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ProductSpecServiceLink` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ProductSpecServiceLink>` | `list(int productSpecId, java.util.Date date)`
    `void` | `update(int productSpecId, java.util.List<ProductSpecServiceLink> linkList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductSpecServiceLinkDao

          public ProductSpecServiceLinkDao(java.sql.Connection con,
                                           int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected ProductSpecServiceLink getFromRS(java.sql.ResultSet rs)
                                              throws java.sql.SQLException,
                                                     ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ProductSpecServiceLink> list(int productSpecId,
                                                             java.util.Date date)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int productSpecId,
                             java.util.List<ProductSpecServiceLink> linkList)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`